# Referência de API — Cobrança (UY3)

> 61 endpoints, organizados pelo fluxo de integração. Todos os exemplos usam os placeholders `{{baseUrl}}` (URL base do ambiente) e `{{token}}` (token JWT).

## Autenticação

Envie o token em toda requisição no header `Authorization: Bearer {{token}}` (JWT do AWS Cognito). Integrações servidor-a-servidor podem usar `X-Api-Key`. Todo tráfego é HTTPS; a credencial nunca vai na URL nem em query string.

## Carteiras

Convênios de cobrança dos cedentes; base para emitir boletos.

### GET /api/v1/Wallet

**Método de visualização da lista de carteiras/convênios** — Lista e filtra registros de api.

Método de visualização da lista de carteiras/convênios.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `BeneficiaryId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `WalletsCode` | query | `array de integer (int64)` | opcional | — | `valor` |
| `Name` | query | `string` | opcional | — | `valor` |
| `Tenant` | query | `string` | opcional | — | `uy3` |
| `BankAccount` | query | `string` | opcional | — | `valor` |
| `SearchString` | query | `string` | opcional | — | `valor` |
| `Alias` | query | `string` | opcional | — | `valor` |
| `Page` | query | `integer` | opcional | — | `10` |
| `Size` | query | `integer` | opcional | — | `10` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |
| `isCountTruncated` | `boolean` | opcional | — | — | `true` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `beneficiaryId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiaryName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `bankAgency` | `string` | opcional | — | — | `"texto"` |
| `bankAccount` | `string` | opcional | — | — | `"texto"` |
| `bankAccountDebtCosts` | `string` | opcional | — | — | `"texto"` |
| `bankSlipCosts` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `billingTypeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `daysOverdueLimit` | `integer (int64)` | opcional | — | — | `0` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `notificationRecepients` | `array de string` | opcional | — | — | `[ … ]` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `enabled` | `boolean` | opcional | — | — | `true` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `pendingCost` | `integer (int64)` | opcional | — | — | `0` |
| `pendingBilling` | `integer (int64)` | opcional | — | — | `0` |
| `enableAutoSubmitToDebtCollection` | `boolean` | opcional | — | — | `true` |
| `alias` | `string` | opcional | — | — | `"texto"` |

Detalhe de `bankSlipCosts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `register` | `integer (int64)` | opcional | — | — | `0` |
| `cancellation` | `integer (int64)` | opcional | — | — | `0` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `changeDueDate` | `integer (int64)` | opcional | — | — | `0` |
| `settlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollection` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSettlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSuccess` | `integer (int64)` | opcional | — | — | `0` |
| `transferRegister` | `integer (int64)` | opcional | — | — | `0` |
| `transferCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `overDueCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `dataprevCostDisbursement` | `integer (int64)` | opcional | — | — | `0` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `groupDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "data": [
    {
      "id": "texto",
      "beneficiaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "beneficiaryName": "Fulano de Tal",
      "walletCode": 0,
      "bankAgency": "texto",
      "bankAccount": "texto",
      "bankAccountDebtCosts": "texto",
      "bankSlipCosts": {
        "register": 0,
        "cancellation": 0,
        "discount": 0,
        "changeDueDate": 0,
        "settlement": 0,
        "debtCollection": 0,
        "debtCollectionCancellation": 0,
        "debtCollectionSettlement": 0,
        "debtCollectionSuccess": 0,
        "transferRegister": 0,
        "transferCancellation": 0,
        "overDueCancellation": 0,
        "dataprevCostDisbursement": 0
      },
      "billingTypeValue": "texto",
      "billingTypeValueDisplay": "texto",
      "daysOverdueLimit": 0,
      "interestCodeValue": "texto",
      "interestCodeValueDisplay": "texto",
      "notificationRecepients": [
        "01310930"
      ],
      "createdAt": "2025-08-11T13:45:00Z",
      "enabled": true,
      "tenant": "texto",
      "tenantDisplay": "texto",
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenant": "texto",
        "tenantDisplay": "texto"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "groupDisplay": "texto",
        "tenant": "texto",
        "tenantDisplay": "texto"
      },
      "pendingCost": 0,
      "pendingBilling": 0,
      "enableAutoSubmitToDebtCollection": true,
      "alias": "texto"
    }
  ],
  "page": 0,
  "totalPages": 0,
  "totalItems": 0,
  "isCountTruncated": true
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/Wallet" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/Wallet

**Método de cadastro de uma carteira/convênio com base no produto de cobranca** — Cria um novo registro de api.

Método de cadastro de uma carteira/convênio com base no produto de cobranca.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `billingProductCode` | `string` | opcional | — | — | `"texto"` |
| `billingCostsDefinitionCode` | `string` | opcional | — | — | `"texto"` |
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `alias` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "billingProductCode": "texto",
  "billingCostsDefinitionCode": "texto",
  "billingTypeValue": "texto",
  "interestCodeValue": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "tenant": "texto",
  "alias": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `beneficiaryId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiaryName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `bankAgency` | `string` | opcional | — | — | `"texto"` |
| `bankAccount` | `string` | opcional | — | — | `"texto"` |
| `bankSlipCosts` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `billingTypeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `daysOverdueLimit` | `integer (int64)` | opcional | — | — | `0` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `notificationRecepients` | `array de string` | opcional | — | — | `[ … ]` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `enabled` | `boolean` | opcional | — | — | `true` |
| `tenant` | `string` | opcional | — | — | `"texto"` |

Detalhe de `bankSlipCosts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `register` | `integer (int64)` | opcional | — | — | `0` |
| `cancellation` | `integer (int64)` | opcional | — | — | `0` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `changeDueDate` | `integer (int64)` | opcional | — | — | `0` |
| `settlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollection` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSettlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSuccess` | `integer (int64)` | opcional | — | — | `0` |
| `transferRegister` | `integer (int64)` | opcional | — | — | `0` |
| `transferCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `overDueCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `dataprevCostDisbursement` | `integer (int64)` | opcional | — | — | `0` |

Exemplo:

```json
{
  "id": "texto",
  "beneficiaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiaryName": "Fulano de Tal",
  "walletCode": 0,
  "bankAgency": "texto",
  "bankAccount": "texto",
  "bankSlipCosts": {
    "register": 0,
    "cancellation": 0,
    "discount": 0,
    "changeDueDate": 0,
    "settlement": 0,
    "debtCollection": 0,
    "debtCollectionCancellation": 0,
    "debtCollectionSettlement": 0,
    "debtCollectionSuccess": 0,
    "transferRegister": 0,
    "transferCancellation": 0,
    "overDueCancellation": 0,
    "dataprevCostDisbursement": 0
  },
  "billingTypeValue": "texto",
  "billingTypeValueDisplay": "texto",
  "daysOverdueLimit": 0,
  "interestCodeValue": "texto",
  "interestCodeValueDisplay": "texto",
  "notificationRecepients": [
    "01310930"
  ],
  "createdAt": "2025-08-11T13:45:00Z",
  "enabled": true,
  "tenant": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/Wallet" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "billingProductCode": "texto",
  "billingCostsDefinitionCode": "texto",
  "billingTypeValue": "texto",
  "interestCodeValue": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "tenant": "texto",
  "alias": "texto"
}'
```

---

### GET /api/v1/Wallet/{walletId}

**Método de visualização de uma carteira/convênio específica** — Consulta api pelo identificador informado na rota.

Método de visualização de uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `beneficiaryId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiaryName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `bankAgency` | `string` | opcional | — | — | `"texto"` |
| `bankAccount` | `string` | opcional | — | — | `"texto"` |
| `bankAccountDebtCosts` | `string` | opcional | — | — | `"texto"` |
| `bankSlipCosts` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `billingTypeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `daysOverdueLimit` | `integer (int64)` | opcional | — | — | `0` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `notificationRecepients` | `array de string` | opcional | — | — | `[ … ]` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `enabled` | `boolean` | opcional | — | — | `true` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `pendingCost` | `integer (int64)` | opcional | — | — | `0` |
| `pendingBilling` | `integer (int64)` | opcional | — | — | `0` |
| `enableAutoSubmitToDebtCollection` | `boolean` | opcional | — | — | `true` |
| `alias` | `string` | opcional | — | — | `"texto"` |

Detalhe de `bankSlipCosts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `register` | `integer (int64)` | opcional | — | — | `0` |
| `cancellation` | `integer (int64)` | opcional | — | — | `0` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `changeDueDate` | `integer (int64)` | opcional | — | — | `0` |
| `settlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollection` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSettlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSuccess` | `integer (int64)` | opcional | — | — | `0` |
| `transferRegister` | `integer (int64)` | opcional | — | — | `0` |
| `transferCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `overDueCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `dataprevCostDisbursement` | `integer (int64)` | opcional | — | — | `0` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `groupDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "id": "texto",
  "beneficiaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiaryName": "Fulano de Tal",
  "walletCode": 0,
  "bankAgency": "texto",
  "bankAccount": "texto",
  "bankAccountDebtCosts": "texto",
  "bankSlipCosts": {
    "register": 0,
    "cancellation": 0,
    "discount": 0,
    "changeDueDate": 0,
    "settlement": 0,
    "debtCollection": 0,
    "debtCollectionCancellation": 0,
    "debtCollectionSettlement": 0,
    "debtCollectionSuccess": 0,
    "transferRegister": 0,
    "transferCancellation": 0,
    "overDueCancellation": 0,
    "dataprevCostDisbursement": 0
  },
  "billingTypeValue": "texto",
  "billingTypeValueDisplay": "texto",
  "daysOverdueLimit": 0,
  "interestCodeValue": "texto",
  "interestCodeValueDisplay": "texto",
  "notificationRecepients": [
    "01310930"
  ],
  "createdAt": "2025-08-11T13:45:00Z",
  "enabled": true,
  "tenant": "texto",
  "tenantDisplay": "texto",
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenant": "texto",
    "tenantDisplay": "texto"
  },
  "ownerGroup": {
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "groupDisplay": "texto",
    "tenant": "texto",
    "tenantDisplay": "texto"
  },
  "pendingCost": 0,
  "pendingBilling": 0,
  "enableAutoSubmitToDebtCollection": true,
  "alias": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### DELETE /api/v1/Wallet/{walletId}

**Método responsável por desabilitar uma carteira/convênio específica** — Remove um registro de api.

Método responsável por desabilitar uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X DELETE "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### PATCH /api/v1/Wallet/{walletId}

**Método de atualização de uma carteira/convênio específica** — Atualiza parcialmente um registro de api.

Método de atualização de uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `enableAutoSubmitToDebtCollection` | `boolean` | opcional | — | — | `true` |
| `alias` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "billingTypeValue": "texto",
  "enableAutoSubmitToDebtCollection": true,
  "alias": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X PATCH "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "billingTypeValue": "texto",
  "enableAutoSubmitToDebtCollection": true,
  "alias": "texto"
}'
```

---

### PUT /api/v1/Wallet/{walletId}/UpdateBankSlipCost

**Método de atualização das tarifas de uma carteira/convênio específica** — Atualiza por completo um registro de api existente.

Método de atualização das tarifas de uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `register` | `integer (int64)` | opcional | — | — | `0` |
| `cancellation` | `integer (int64)` | opcional | — | — | `0` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `changeDueDate` | `integer (int64)` | opcional | — | — | `0` |
| `settlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollection` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSettlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSuccess` | `integer (int64)` | opcional | — | — | `0` |
| `transferRegister` | `integer (int64)` | opcional | — | — | `0` |
| `transferCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `overDueCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `dataprevCostDisbursement` | `integer (int64)` | opcional | — | — | `0` |

Exemplo:

```json
{
  "register": 0,
  "cancellation": 0,
  "discount": 0,
  "changeDueDate": 0,
  "settlement": 0,
  "debtCollection": 0,
  "debtCollectionCancellation": 0,
  "debtCollectionSettlement": 0,
  "debtCollectionSuccess": 0,
  "transferRegister": 0,
  "transferCancellation": 0,
  "overDueCancellation": 0,
  "dataprevCostDisbursement": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6/UpdateBankSlipCost" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "register": 0,
  "cancellation": 0,
  "discount": 0,
  "changeDueDate": 0,
  "settlement": 0,
  "debtCollection": 0,
  "debtCollectionCancellation": 0,
  "debtCollectionSettlement": 0,
  "debtCollectionSuccess": 0,
  "transferRegister": 0,
  "transferCancellation": 0,
  "overDueCancellation": 0,
  "dataprevCostDisbursement": 0
}'
```

---

### PUT /api/v1/Wallet/{walletId}/UpdateNotificationRecipient

**Método de atualização dos emails de notificação de um carteira/convênio específica** — Atualiza por completo um registro de api existente.

Método de atualização dos emails de notificação de um carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `notificationRecepients` | `array de string` | opcional | — | — | `[ … ]` |

Exemplo:

```json
{
  "notificationRecepients": [
    "01310930"
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6/UpdateNotificationRecipient" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "notificationRecepients": [
    "01310930"
  ]
}'
```

---

### POST /api/v1/Wallet/{walletId}/Reactivate

**Método responsável por habilitar uma carteira/convênio específica** — Cria um novo registro de api.

Método responsável por habilitar uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6/Reactivate" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/Wallet/{walletId}/ManualDirectDebit

**Método responsável por cobrança de tarifa manual** — Cria um novo registro de api.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6/ManualDirectDebit" \
  -H "Authorization: Bearer {{token}}"
```

---

## Boletos

Emita, consulte, baixe e cancele boletos bancários.

### GET /api/v1/BankSlip

**Método utilizado para listar os boletos** — Lista e filtra registros de api.

Método utilizado para listar os boletos.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `DocumentNumber` | query | `string` | opcional | — | `valor` |
| `Tenant` | query | `string` | opcional | — | `uy3` |
| `WalletCode` | query | `integer (int64)` | opcional | — | `10` |
| `BillingId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `Page` | query | `integer` | opcional | — | `10` |
| `Size` | query | `integer` | opcional | — | `10` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |
| `isCountTruncated` | `boolean` | opcional | — | — | `true` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `walletCodeOrigem` | `integer (int64)` | opcional | — | — | `0` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `documentNumber` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `dueDate` | `string` | opcional | — | — | `"texto"` |
| `tags` | `array de string` | opcional | — | — | `[ … ]` |
| `beneficiary` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `payer` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `statusRegisterValue` | `string` | opcional | — | — | `"texto"` |
| `statusRegisterValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `statusSettlementValue` | `string` | opcional | — | — | `"texto"` |
| `statusSettlementValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `statusDebtCollectionValue` | `string` | opcional | — | — | `"texto"` |
| `statusDebtCollectionValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `latePaymentInterestAmountPerDay` | `string` | opcional | — | — | `"texto"` |
| `firstInstructionDebtCollection` | `string` | opcional | — | — | `"texto"` |
| `secondInstructionDebtCollection` | `integer` | opcional | — | — | `0` |
| `cancelReason` | `string` | opcional | — | — | `"texto"` |
| `billingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `settlementAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `settlementChannelValue` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `walletNumber` | `integer` | opcional | — | — | `0` |
| `captureType` | `string` | opcional | — | — | `"texto"` |
| `captureTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `paymentMethod` | `string` | opcional | — | — | `"texto"` |
| `paymentMethodDisplay` | `string` | opcional | — | — | `"texto"` |
| `isTransferred` | `boolean` | opcional | — | — | `true` |

Exemplo:

```json
{
  "data": [
    {
      "id": "texto",
      "walletCode": 0,
      "walletCodeOrigem": 0,
      "barCode": "texto",
      "documentNumber": "texto",
      "amount": 0,
      "dueDate": "texto",
      "tags": [
        "texto"
      ],
      "beneficiary": {
        "businessName": "Fulano de Tal",
        "registrationNumber": "12345678909"
      },
      "payer": {
        "name": "Fulano de Tal",
        "personTypeValue": "texto",
        "personTypeValueDisplay": "texto",
        "registrationNumber": "12345678909",
        "zipCode": "01310930",
        "addressName": "Fulano de Tal",
        "addressNumber": "texto",
        "addressComplement": "texto",
        "email": "cliente@exemplo.com.br"
      },
      "statusRegisterValue": "texto",
      "statusRegisterValueDisplay": "texto",
      "statusSettlementValue": "texto",
      "statusSettlementValueDisplay": "texto",
      "statusDebtCollectionValue": "texto",
      "statusDebtCollectionValueDisplay": "texto",
      "latePaymentInterestAmountPerDay": "texto",
      "firstInstructionDebtCollection": "texto",
      "secondInstructionDebtCollection": 0,
      "cancelReason": "texto",
      "billingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "createdAt": "2025-08-11T13:45:00Z",
      "settlementAt": "2025-08-11T13:45:00Z",
      "settlementChannelValue": "texto",
      "settlementChannelValueDisplay": "texto",
      "bankCode": "texto",
      "walletNumber": 0,
      "captureType": "texto",
      "captureTypeDisplay": "texto",
      "paymentMethod": "texto",
      "paymentMethodDisplay": "texto",
      "isTransferred": true
    }
  ],
  "page": 0,
  "totalPages": 0,
  "totalItems": 0,
  "isCountTruncated": true
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/BankSlip" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /api/v1/BankSlip/ExportWalletPosition

**Metodo reponsável por exportar relatorio de posição carteira** — Lista e filtra registros de api.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `WalletCode` | query | `integer (int64)` | opcional | — | `10` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/BankSlip/ExportWalletPosition" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/BankSlip/DownloadBatch

**Método utilizado para download em lote através de uma lista de boletos** — Cria um novo registro de api.

Método utilizado para download em lote através de uma lista de boletos.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `billingIds` | `array de string` | opcional | — | — | `[ … ]` |

Exemplo:

```json
{
  "billingIds": [
    "texto"
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/DownloadBatch" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "billingIds": [
    "texto"
  ]
}'
```

---

### POST /api/v1/BankSlip/DownloadLongBatch

**Método utilizado para download em lote grande através de uma lista de boletos e…** — Cria um novo registro de api.

Método utilizado para download em lote grande através de uma lista de boletos e envio por email.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `email` | `string` | opcional | — | — | `"cliente@exemplo.com.br"` |
| `billingIds` | `array de string` | opcional | — | — | `[ … ]` |

Exemplo:

```json
{
  "email": "cliente@exemplo.com.br",
  "billingIds": [
    "texto"
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/DownloadLongBatch" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "cliente@exemplo.com.br",
  "billingIds": [
    "texto"
  ]
}'
```

---

### GET /api/v1/BankSlip/{identifier}/DownloadPdf

**Método utilizado para download PDF de um boleto especifico** — Lista e filtra registros de api.

Método utilizado para download PDF de um boleto especifico.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `identifier` | path | `string` | obrigatório | codigo de barras ou id do boleto | `valor` |
| `walletCode` | query | `integer (int64)` | opcional | código do convênio | `10` |
| `bankSlipUpdate` | query | `boolean` | opcional | Indica se o PDF do boleto deve ser gerado com o valor atualizado, considerando juros, multa por atraso ou descontos aplicáveis | `true` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/BankSlip/3fa85f64-5717-4562-b3fc-2c963f66afa6/DownloadPdf" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /api/v1/BankSlip/{identifier}

**Método utilizado para visualizar um boleto especifico** — Consulta api pelo identificador informado na rota.

Método utilizado para visualizar um boleto especifico.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `identifier` | path | `string` | obrigatório | codigo de barras ou id do boleto | `valor` |
| `withStatusNPC` | query | `boolean` | opcional | — | `true` |
| `withStatusDebtCollection` | query | `boolean` | opcional | — | `true` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/BankSlip/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### PATCH /api/v1/BankSlip/UpdateBatch

**Método de atualização em lote dos boletos** — Atualiza parcialmente um registro de api.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCodes` | `array de string` | opcional | — | — | `[ … ]` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `interestMonthPercent` | `number (decimal)` | opcional | — | — | `1.99` |
| `finePercent` | `number (decimal)` | opcional | — | — | `1.99` |
| `deduction` | `integer` | opcional | — | — | `0` |

Exemplo:

```json
{
  "barCodes": [
    "texto"
  ],
  "walletCode": 0,
  "interestMonthPercent": 1.99,
  "finePercent": 1.99,
  "deduction": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X PATCH "{{baseUrl}}/api/v1/BankSlip/UpdateBatch" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "barCodes": [
    "texto"
  ],
  "walletCode": 0,
  "interestMonthPercent": 1.99,
  "finePercent": 1.99,
  "deduction": 0
}'
```

---

### POST /api/v1/BankSlip/{barCode}/UpdateDueDate

**Método utilizado para prorrogar o vencimento de um boleto especifico** — Cria um novo registro de api.

Método utilizado para prorrogar o vencimento de um boleto especifico.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `idempotence` | query | `string` | opcional | chave de idempotência | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `dueDate` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "dueDate": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/UpdateDueDate" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "dueDate": "texto"
}'
```

---

### POST /api/v1/BankSlip/{barCode}/UpdateDeduction

**Método utilizado para aplicar abatimento em um boleto especifico** — Cria um novo registro de api.

Método utilizado para aplicar abatimento em um boleto especifico.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `idempotence` | query | `string` | opcional | chave de idempotência | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `deduction` | `integer` | opcional | — | — | `0` |

Exemplo:

```json
{
  "deduction": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/UpdateDeduction" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "deduction": 0
}'
```

---

### POST /api/v1/BankSlip/{barCode}/CancelDeduction

**Método utilizado para cancelar abatimento em um boleto especifico** — Cria um novo registro de api.

Método utilizado para cancelar abatimento em um boleto especifico.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `idempotence` | query | `string` | opcional | chave de idempotência | `valor` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/CancelDeduction" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/BankSlip/{barCode}/UpdateOtherInformation

**Método utilizado para atualizar dados sem instrução** — Cria um novo registro de api.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `idempotence` | query | `string` | opcional | chave de idempotência | `valor` |
| `generateInstructionTransactionLine` | query | `boolean` | opcional | flag to create registry in file confirmation | `true` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `documentNumber` | `string` | opcional | — | — | `"texto"` |
| `numberPayments` | `integer` | opcional | — | — | `0` |
| `latePaymentInterestAmountPerDay` | `integer` | opcional | — | — | `0` |
| `fineTypeValue` | `string` | opcional | — | — | `"texto"` |
| `fineAmount` | `number (decimal)` | opcional | — | — | `1000` |
| `interestTypeValue` | `string` | opcional | — | — | `"texto"` |
| `interestAmount` | `number (decimal)` | opcional | — | — | `1000` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `discount` | `integer` | opcional | — | — | `0` |
| `discountLimitDate` | `string` | opcional | — | — | `"texto"` |
| `discount2` | `integer` | opcional | — | — | `0` |
| `discountLimitDate2` | `string` | opcional | — | — | `"texto"` |
| `discount3` | `integer` | opcional | — | — | `0` |
| `discountLimitDate3` | `string` | opcional | — | — | `"texto"` |
| `payer` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `firstInstructionDebtCollection` | `string` | opcional | — | — | `"texto"` |
| `secondInstructionDebtCollection` | `integer` | opcional | — | — | `0` |
| `description` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "documentNumber": "texto",
  "numberPayments": 0,
  "latePaymentInterestAmountPerDay": 0,
  "fineTypeValue": "texto",
  "fineAmount": 1000,
  "interestTypeValue": "texto",
  "interestAmount": 1000,
  "interestCodeValue": "texto",
  "discount": 0,
  "discountLimitDate": "texto",
  "discount2": 0,
  "discountLimitDate2": "texto",
  "discount3": 0,
  "discountLimitDate3": "texto",
  "payer": {
    "name": "Fulano de Tal",
    "zipCode": "01310930",
    "addressName": "Fulano de Tal",
    "addressNumber": "texto",
    "addressComplement": "texto",
    "email": "cliente@exemplo.com.br"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "registrationNumber": "12345678909"
  },
  "firstInstructionDebtCollection": "texto",
  "secondInstructionDebtCollection": 0,
  "description": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/UpdateOtherInformation" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "documentNumber": "texto",
  "numberPayments": 0,
  "latePaymentInterestAmountPerDay": 0,
  "fineTypeValue": "texto",
  "fineAmount": 1000,
  "interestTypeValue": "texto",
  "interestAmount": 1000,
  "interestCodeValue": "texto",
  "discount": 0,
  "discountLimitDate": "texto",
  "discount2": 0,
  "discountLimitDate2": "texto",
  "discount3": 0,
  "discountLimitDate3": "texto",
  "payer": {
    "name": "Fulano de Tal",
    "zipCode": "01310930",
    "addressName": "Fulano de Tal",
    "addressNumber": "texto",
    "addressComplement": "texto",
    "email": "cliente@exemplo.com.br"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "registrationNumber": "12345678909"
  },
  "firstInstructionDebtCollection": "texto",
  "secondInstructionDebtCollection": 0,
  "description": "texto"
}'
```

---

### POST /api/v1/BankSlip/{barCode}/UpdateAmount

**Método utilizado para atualizar valor do boleto** — Cria um novo registro de api.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `idempotence` | query | `string` | opcional | chave de idempotência | `valor` |
| `generateInstructionTransactionLine` | query | `boolean` | opcional | flag to create registry in file confirmation | `true` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `amount` | `integer (int64)` | opcional | — | — | `0` |

Exemplo:

```json
{
  "amount": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/UpdateAmount" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 0
}'
```

---

### POST /api/v1/BankSlip/{barCode}/UpdateTags

**Método utilizado para atualizar as tags do boleto** — Cria um novo registro de api.

Método utilizado para atualizar as tags do boleto.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `tags` | `array de string` | opcional | — | — | `[ … ]` |

Exemplo:

```json
{
  "tags": [
    "texto"
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/UpdateTags" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "tags": [
    "texto"
  ]
}'
```

---

### POST /api/v1/BankSlip/{barCode}/Transfer

**Método utilizado para transferir um boleto especifico entre carteiras/convenios** — Cria um novo registro de api.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `toWalletCode` | `integer (int64)` | opcional | — | — | `0` |
| `toBillingSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `toCommunicationSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |

Exemplo:

```json
{
  "toWalletCode": 0,
  "toBillingSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "toCommunicationSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
```

**Resposta 200**

Exemplo:

```json
"texto"
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/Transfer" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "toWalletCode": 0,
  "toBillingSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "toCommunicationSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
```

---

### POST /api/v1/BankSlip/TransferBatch

**Método utilizado para transferir um ou mais boletos entre carteiras/convenios** — Cria um novo registro de api.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCodes` | `array de string` | opcional | — | — | `[ … ]` |
| `toWalletCode` | `integer (int64)` | opcional | — | — | `0` |

Exemplo:

```json
{
  "barCodes": [
    "texto"
  ],
  "toWalletCode": 0
}
```

**Resposta 200**

Exemplo:

```json
"texto"
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/TransferBatch" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "barCodes": [
    "texto"
  ],
  "toWalletCode": 0
}'
```

---

### POST /api/v1/BankSlip/{barCode}/Cancel

**Método responsável pela baixa de um titulo específico** — Cria um novo registro de api.

Método responsável pela baixa de um titulo específico.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `idempotence` | query | `string` | opcional | chave de idempotência | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `cancelTypeValue` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "cancelTypeValue": "texto"
}
```

**Resposta 200**

Exemplo:

```json
true
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/Cancel" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "cancelTypeValue": "texto"
}'
```

---

### POST /api/v1/BankSlip/{barCode}/RegisterCanceled

**Método responsável por register um titulo cancelado** — Cria um novo registro de api.

Método responsável por register um titulo cancelado.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `InstructionTransactionType` | query | `string` | opcional | — | `valor` |
| `PersistConfirmationTransaction` | query | `boolean` | opcional | — | `true` |

**Resposta 200**

Exemplo:

```json
true
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/RegisterCanceled" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/BankSlip/{barCode}/DebtCollection/Submit

**Método utilizado para enviar/protestar um boleto especifico para o cartório** — Cria um novo registro de api.

Método utilizado para enviar/protestar um boleto especifico para o cartório.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `idempotence` | query | `string` | opcional | chave de idempotência | `valor` |

**Resposta 200**

Exemplo:

```json
true
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/DebtCollection/Submit" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /api/v1/BankSlip/{barCode}/DebtCollection/Status

**Método utilizado para visualizar o status de cartório de um boleto especifico** — Lista e filtra registros de api.

Método utilizado para visualizar o status de cartório de um boleto especifico.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `status` | `string` | opcional | — | — | `"texto"` |
| `result` | `objeto` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "status": "texto",
  "result": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/BankSlip/valor/DebtCollection/Status" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/BankSlip/{barCode}/DebtCollection/Cancel

**Método utilizado para sustar o protesto em cartório de um boleto especifico** — Cria um novo registro de api.

Método utilizado para sustar o protesto em cartório de um boleto especifico.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | path | `string` | obrigatório | código de barras | `valor` |
| `idempotence` | query | `string` | opcional | chave de idempotência | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `instructionTransactionTypeValue` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "walletCode": 0,
  "instructionTransactionTypeValue": "texto"
}
```

**Resposta 200**

Exemplo:

```json
true
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/BankSlip/valor/DebtCollection/Cancel" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "walletCode": 0,
  "instructionTransactionTypeValue": "texto"
}'
```

---

## Cobranças

Gerencie cobranças e seus dados ao longo do ciclo.

### GET /api/v1/Billing

**Método de visualização da lista de cobranças** — Lista e filtra registros de api.

Método de visualização da lista de cobranças.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `Registered` | query | `boolean` | opcional | — | `true` |
| `Amount` | query | `integer (int64)` | opcional | — | `10` |
| `DocumentNumber` | query | `string` | opcional | — | `valor` |
| `BarCode` | query | `string` | opcional | — | `valor` |
| `SearchString` | query | `string` | opcional | — | `valor` |
| `Tags` | query | `array de string` | opcional | — | `valor` |
| `StatusesValue` | query | `array de string` | opcional | — | `valor` |
| `ExcludeStatusesValue` | query | `array de string` | opcional | — | `valor` |
| `WalletsCode` | query | `array de integer (int64)` | opcional | — | `valor` |
| `DocumentsNumber` | query | `array de string` | opcional | — | `valor` |
| `BankSlipId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `InstallmentId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `CommunicationSettingId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `BillingSettingId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `InitialDueDate` | query | `string (date-time)` | opcional | — | `valor` |
| `FinalDueDate` | query | `string (date-time)` | opcional | — | `valor` |
| `InitialSettlementDate` | query | `string (date-time)` | opcional | — | `valor` |
| `FinalSettlementDate` | query | `string (date-time)` | opcional | — | `valor` |
| `InitialCreatedDate` | query | `string (date-time)` | opcional | — | `valor` |
| `FinalCreatedDate` | query | `string (date-time)` | opcional | — | `valor` |
| `PayerName` | query | `string` | opcional | — | `valor` |
| `Tenant` | query | `string` | opcional | — | `uy3` |
| `PayerRegistrationNumber` | query | `string` | opcional | — | `valor` |
| `FirstInstructionDebtCollection` | query | `string` | opcional | — | `valor` |
| `OurNumber` | query | `string` | opcional | — | `valor` |
| `ReferenceId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `IsOrderByDueDate` | query | `boolean` | opcional | — | `true` |
| `Page` | query | `integer` | opcional | — | `10` |
| `Size` | query | `integer` | opcional | — | `10` |
| `BillingIds` | query | `array de string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |
| `isCountTruncated` | `boolean` | opcional | — | — | `true` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `externalId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `documentNumber` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `paidAmount` | `integer (int64)` | opcional | — | — | `1` |
| `pendingAmount` | `integer (int64)` | opcional | — | — | `0` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `discount` | `integer` | opcional | — | — | `0` |
| `discountLimitDate` | `string` | opcional | — | — | `"texto"` |
| `discount2` | `integer` | opcional | — | — | `0` |
| `discountLimitDate2` | `string` | opcional | — | — | `"texto"` |
| `discount3` | `integer` | opcional | — | — | `0` |
| `discountLimitDate3` | `string` | opcional | — | — | `"texto"` |
| `dueDate` | `string` | opcional | — | — | `"texto"` |
| `billingSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `billingSettingDisplay` | `string` | opcional | — | — | `"texto"` |
| `communicationSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `communicationSettingDisplay` | `string` | opcional | — | — | `"texto"` |
| `tags` | `array de string` | opcional | — | — | `[ … ]` |
| `creditTypeValue` | `string` | opcional | — | — | `"texto"` |
| `creditTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `payer` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `registered` | `boolean` | opcional | — | — | `true` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `settlementAt` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValue` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `statusValue` | `string` | opcional | — | — | `"texto"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `firstInstructionDebtCollection` | `string` | opcional | — | — | `"texto"` |
| `secondInstructionDebtCollection` | `integer` | opcional | — | — | `0` |
| `installmentId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `bankSlip` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `settings` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ourNumber` | `integer (int64)` | opcional | — | — | `0` |
| `ourNumberDigit` | `string` | opcional | — | — | `"texto"` |
| `walletNumber` | `integer` | opcional | — | — | `0` |
| `numberPayments` | `integer` | opcional | — | — | `0` |
| `deduction` | `integer` | opcional | — | — | `0` |
| `latePaymentInterestAmountPerDay` | `integer` | opcional | — | — | `0` |
| `conditionForIssuingBillingSlip` | `string` | opcional | — | — | `"texto"` |
| `zero` | `string` | opcional | — | — | `"texto"` |
| `directDebitAgency` | `string` | opcional | — | — | `"texto"` |
| `directDebitAgencyDigit` | `string` | opcional | — | — | `"texto"` |
| `directDebitAccount` | `string` | opcional | — | — | `"texto"` |
| `directDebitAccountDigit` | `string` | opcional | — | — | `"texto"` |
| `directDebitReason` | `string` | opcional | — | — | `"texto"` |
| `bonusDiscountDay` | `string` | opcional | — | — | `"texto"` |
| `addressingAutomaticDebitNotification` | `string` | opcional | — | — | `"texto"` |
| `identificationBillingSlipIssuance` | `string` | opcional | — | — | `"texto"` |
| `acceptanceIdentification` | `string` | opcional | — | — | `"01310930"` |
| `depositoryAgency` | `string` | opcional | — | — | `"texto"` |
| `billingBankCharge` | `string` | opcional | — | — | `"texto"` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `iof` | `string` | opcional | — | — | `"texto"` |
| `bankingOperationIdentification` | `string` | opcional | — | — | `"texto"` |
| `creditDistributionIdentification` | `string` | opcional | — | — | `"texto"` |
| `participantControlNumber` | `string` | opcional | — | — | `"texto"` |
| `generateInstructionTransactionLine` | `boolean` | opcional | — | — | `true` |
| `captureType` | `string` | opcional | — | — | `"texto"` |
| `captureTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `paymentMethod` | `string` | opcional | — | — | `"texto"` |
| `paymentMethodDisplay` | `string` | opcional | — | — | `"texto"` |
| `billingCreateType` | `string` | opcional | — | — | `"texto"` |
| `billingCreateTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `lastPaymentDate` | `string` | opcional | — | — | `"texto"` |
| `payments` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `fileInstructionLines` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `fileConfirmationLines` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `isAnticipatedBilling` | `boolean` | opcional | — | — | `true` |

Detalhe de `payments`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `settlementChannelValue` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `paymentDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentAmount` | `integer (int64)` | opcional | — | — | `0` |
| `paymentISPB` | `integer` | opcional | — | — | `0` |
| `paymentAgency` | `integer` | opcional | — | — | `0` |
| `debtCollectionProtocol` | `string` | opcional | — | — | `"texto"` |

Detalhe de `fileInstructionLines`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `lineType` | `string` | opcional | — | — | `"texto"` |
| `lineTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `sequentialNumber` | `integer` | opcional | — | — | `0` |
| `detail` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Detalhe de `fileConfirmationLines`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `lineType` | `string` | opcional | — | — | `"texto"` |
| `lineTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `sequentialNumber` | `integer` | opcional | — | — | `0` |
| `detail` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "data": [
    {
      "id": "texto",
      "externalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "walletCode": 0,
      "documentNumber": "texto",
      "amount": 0,
      "paidAmount": 1,
      "pendingAmount": 0,
      "description": "texto",
      "discount": 0,
      "discountLimitDate": "texto",
      "discount2": 0,
      "discountLimitDate2": "texto",
      "discount3": 0,
      "discountLimitDate3": "texto",
      "dueDate": "texto",
      "billingSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "billingSettingDisplay": "texto",
      "communicationSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "communicationSettingDisplay": "texto",
      "tags": [
        "texto"
      ],
      "creditTypeValue": "texto",
      "creditTypeDisplay": "texto",
      "payer": {
        "name": "Fulano de Tal",
        "personTypeValue": "texto",
        "personTypeValueDisplay": "texto",
        "registrationNumber": "12345678909",
        "zipCode": "01310930",
        "addressName": "Fulano de Tal",
        "addressNumber": "texto",
        "addressComplement": "texto",
        "email": "cliente@exemplo.com.br"
      },
      "guarantor": {
        "name": "Fulano de Tal",
        "registrationNumber": "12345678909"
      },
      "registered": true,
      "errorMessage": "texto",
      "createdAt": "2025-08-11T13:45:00Z",
      "settlementAt": "texto",
      "settlementChannelValue": "texto",
      "settlementChannelValueDisplay": "texto",
      "statusValue": "texto",
      "statusDisplay": "texto",
      "firstInstructionDebtCollection": "texto",
      "secondInstructionDebtCollection": 0,
      "installmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "bankSlip": {
        "id": "texto",
        "barCode": "texto",
        "statusRegisterValue": "texto",
        "statusRegisterValueDisplay": "texto",
        "statusSettlementValue": "texto",
        "statusSettlementValueDisplay": "texto",
        "statusDebtCollectionValue": "texto",
        "statusDebtCollectionValueDisplay": "texto"
      },
      "settings": {
        "interestTypeValue": "texto",
        "interestTypeValueDisplay": "texto",
        "interestAmount": 1000,
        "fineTypeValue": "texto",
        "fineTypeValueDisplay": "texto",
        "fineAmount": 1000
      },
      "ourNumber": 0,
      "ourNumberDigit": "texto",
      "walletNumber": 0,
      "numberPayments": 0,
      "deduction": 0,
      "latePaymentInterestAmountPerDay": 0,
      "conditionForIssuingBillingSlip": "texto",
      "zero": "texto",
      "directDebitAgency": "texto",
      "directDebitAgencyDigit": "texto",
      "directDebitAccount": "texto",
      "directDebitAccountDigit": "texto",
      "directDebitReason": "texto",
      "bonusDiscountDay": "texto",
      "addressingAutomaticDebitNotification": "texto",
      "identificationBillingSlipIssuance": "texto",
      "acceptanceIdentification": "01310930",
      "depositoryAgency": "texto",
      "billingBankCharge": "texto",
      "bankCode": "texto",
      "iof": "texto",
      "bankingOperationIdentification": "texto",
      "creditDistributionIdentification": "texto",
      "participantControlNumber": "texto",
      "generateInstructionTransactionLine": true,
      "captureType": "texto",
      "captureTypeDisplay": "texto",
      "paymentMethod": "texto",
      "paymentMethodDisplay": "texto",
      "billingCreateType": "texto",
      "billingCreateTypeDisplay": "texto",
      "lastPaymentDate": "texto",
      "payments": [
        {}
      ],
      "fileInstructionLines": [
        {}
      ],
      "fileConfirmationLines": [
        {}
      ],
      "isAnticipatedBilling": true
    }
  ],
  "page": 0,
  "totalPages": 0,
  "totalItems": 0,
  "isCountTruncated": true
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/Billing" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/Billing

**Método de cadastro de uma cobrança** — Cria um novo registro de api.

Método de cadastro de uma cobrança.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `idempotence` | query | `string` | opcional | — | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `externalId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `documentNumber` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `dueDate` | `string` | opcional | — | — | `"texto"` |
| `paymentLimitDate` | `string` | opcional | — | — | `"texto"` |
| `discount` | `integer` | opcional | — | — | `0` |
| `discountLimitDate` | `string` | opcional | — | — | `"texto"` |
| `discount2` | `integer` | opcional | — | — | `0` |
| `discountLimitDate2` | `string` | opcional | — | — | `"texto"` |
| `discount3` | `integer` | opcional | — | — | `0` |
| `discountLimitDate3` | `string` | opcional | — | — | `"texto"` |
| `billingSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `communicationSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tags` | `array de string` | opcional | — | — | `[ … ]` |
| `payer` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `firstInstructionDebtCollection` | `string` | opcional | — | — | `"texto"` |
| `secondInstructionDebtCollection` | `integer` | opcional | — | — | `0` |
| `installmentId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `settings` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ourNumber` | `integer (int64)` | opcional | — | — | `0` |
| `ourNumberDigit` | `string` | opcional | — | — | `"texto"` |
| `walletNumber` | `integer` | opcional | — | — | `0` |
| `numberPayments` | `integer` | opcional | — | — | `0` |
| `deduction` | `integer` | opcional | — | — | `0` |
| `latePaymentInterestAmountPerDay` | `integer` | opcional | — | — | `0` |
| `creditTypeValue` | `string` | opcional | — | — | `"texto"` |
| `conditionForIssuingBillingSlip` | `string` | opcional | — | — | `"texto"` |
| `directDebitAgency` | `string` | opcional | — | — | `"texto"` |
| `directDebitAgencyDigit` | `string` | opcional | — | — | `"texto"` |
| `directDebitAccount` | `string` | opcional | — | — | `"texto"` |
| `directDebitAccountDigit` | `string` | opcional | — | — | `"texto"` |
| `directDebitReason` | `string` | opcional | — | — | `"texto"` |
| `bonusDiscountDay` | `string` | opcional | — | — | `"texto"` |
| `addressingAutomaticDebitNotification` | `string` | opcional | — | — | `"texto"` |
| `identificationBillingSlipIssuance` | `string` | opcional | — | — | `"texto"` |
| `acceptanceIdentification` | `string` | opcional | — | — | `"01310930"` |
| `depositoryAgency` | `string` | opcional | — | — | `"texto"` |
| `billingBankCharge` | `string` | opcional | — | — | `"texto"` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `iof` | `string` | opcional | — | — | `"texto"` |
| `bankingOperationIdentification` | `string` | opcional | — | — | `"texto"` |
| `creditDistributionIdentification` | `string` | opcional | — | — | `"texto"` |
| `participantControlNumber` | `string` | opcional | — | — | `"texto"` |
| `register` | `boolean` | opcional | — | — | `true` |
| `billingCreateTypeValue` | `string` | opcional | — | — | `"texto"` |
| `billingsToCancel` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `billingsToUnified` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `billingsToCancel`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `billingStatusValue` | `string` | opcional | — | — | `"texto"` |

Detalhe de `billingsToUnified`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "externalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "walletCode": 0,
  "documentNumber": "texto",
  "amount": 0,
  "description": "texto",
  "dueDate": "texto",
  "paymentLimitDate": "texto",
  "discount": 0,
  "discountLimitDate": "texto",
  "discount2": 0,
  "discountLimitDate2": "texto",
  "discount3": 0,
  "discountLimitDate3": "texto",
  "billingSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "communicationSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "tags": [
    "texto"
  ],
  "payer": {
    "name": "Fulano de Tal",
    "personTypeValue": "texto",
    "registrationNumber": "12345678909",
    "zipCode": "01310930",
    "addressName": "Fulano de Tal",
    "addressNumber": "texto",
    "addressComplement": "texto",
    "email": "cliente@exemplo.com.br"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "registrationNumber": "12345678909"
  },
  "firstInstructionDebtCollection": "texto",
  "secondInstructionDebtCollection": 0,
  "installmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "settings": {
    "interestTypeValue": "texto",
    "interestAmount": 1000,
    "fineTypeValue": "texto",
    "fineAmount": 1000,
    "interestCodeValue": "texto"
  },
  "ourNumber": 0,
  "ourNumberDigit": "texto",
  "walletNumber": 0,
  "numberPayments": 0,
  "deduction": 0,
  "latePaymentInterestAmountPerDay": 0,
  "creditTypeValue": "texto",
  "conditionForIssuingBillingSlip": "texto",
  "directDebitAgency": "texto",
  "directDebitAgencyDigit": "texto",
  "directDebitAccount": "texto",
  "directDebitAccountDigit": "texto",
  "directDebitReason": "texto",
  "bonusDiscountDay": "texto",
  "addressingAutomaticDebitNotification": "texto",
  "identificationBillingSlipIssuance": "texto",
  "acceptanceIdentification": "01310930",
  "depositoryAgency": "texto",
  "billingBankCharge": "texto",
  "bankCode": "texto",
  "iof": "texto",
  "bankingOperationIdentification": "texto",
  "creditDistributionIdentification": "texto",
  "participantControlNumber": "texto",
  "register": true,
  "billingCreateTypeValue": "texto",
  "billingsToCancel": [
    {
      "id": "texto",
      "billingStatusValue": "texto"
    }
  ],
  "billingsToUnified": [
    {
      "id": "texto",
      "interestCodeValue": "texto"
    }
  ]
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `externalId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `documentNumber` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `paidAmount` | `integer (int64)` | opcional | — | — | `1` |
| `pendingAmount` | `integer (int64)` | opcional | — | — | `0` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `discount` | `integer` | opcional | — | — | `0` |
| `discountLimitDate` | `string` | opcional | — | — | `"texto"` |
| `discount2` | `integer` | opcional | — | — | `0` |
| `discountLimitDate2` | `string` | opcional | — | — | `"texto"` |
| `discount3` | `integer` | opcional | — | — | `0` |
| `discountLimitDate3` | `string` | opcional | — | — | `"texto"` |
| `dueDate` | `string` | opcional | — | — | `"texto"` |
| `billingSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `billingSettingDisplay` | `string` | opcional | — | — | `"texto"` |
| `communicationSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `communicationSettingDisplay` | `string` | opcional | — | — | `"texto"` |
| `tags` | `array de string` | opcional | — | — | `[ … ]` |
| `creditTypeValue` | `string` | opcional | — | — | `"texto"` |
| `creditTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `payer` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `registered` | `boolean` | opcional | — | — | `true` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `settlementAt` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValue` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `statusValue` | `string` | opcional | — | — | `"texto"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `firstInstructionDebtCollection` | `string` | opcional | — | — | `"texto"` |
| `secondInstructionDebtCollection` | `integer` | opcional | — | — | `0` |
| `installmentId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `bankSlip` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `settings` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ourNumber` | `integer (int64)` | opcional | — | — | `0` |
| `ourNumberDigit` | `string` | opcional | — | — | `"texto"` |
| `walletNumber` | `integer` | opcional | — | — | `0` |
| `numberPayments` | `integer` | opcional | — | — | `0` |
| `deduction` | `integer` | opcional | — | — | `0` |
| `latePaymentInterestAmountPerDay` | `integer` | opcional | — | — | `0` |
| `conditionForIssuingBillingSlip` | `string` | opcional | — | — | `"texto"` |
| `zero` | `string` | opcional | — | — | `"texto"` |
| `directDebitAgency` | `string` | opcional | — | — | `"texto"` |
| `directDebitAgencyDigit` | `string` | opcional | — | — | `"texto"` |
| `directDebitAccount` | `string` | opcional | — | — | `"texto"` |
| `directDebitAccountDigit` | `string` | opcional | — | — | `"texto"` |
| `directDebitReason` | `string` | opcional | — | — | `"texto"` |
| `bonusDiscountDay` | `string` | opcional | — | — | `"texto"` |
| `addressingAutomaticDebitNotification` | `string` | opcional | — | — | `"texto"` |
| `identificationBillingSlipIssuance` | `string` | opcional | — | — | `"texto"` |
| `acceptanceIdentification` | `string` | opcional | — | — | `"01310930"` |
| `depositoryAgency` | `string` | opcional | — | — | `"texto"` |
| `billingBankCharge` | `string` | opcional | — | — | `"texto"` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `iof` | `string` | opcional | — | — | `"texto"` |
| `bankingOperationIdentification` | `string` | opcional | — | — | `"texto"` |
| `creditDistributionIdentification` | `string` | opcional | — | — | `"texto"` |
| `participantControlNumber` | `string` | opcional | — | — | `"texto"` |
| `generateInstructionTransactionLine` | `boolean` | opcional | — | — | `true` |
| `captureType` | `string` | opcional | — | — | `"texto"` |
| `captureTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `paymentMethod` | `string` | opcional | — | — | `"texto"` |
| `paymentMethodDisplay` | `string` | opcional | — | — | `"texto"` |
| `billingCreateType` | `string` | opcional | — | — | `"texto"` |
| `billingCreateTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `lastPaymentDate` | `string` | opcional | — | — | `"texto"` |
| `payments` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `fileInstructionLines` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `fileConfirmationLines` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `isAnticipatedBilling` | `boolean` | opcional | — | — | `true` |

Detalhe de `payments`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `settlementChannelValue` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `paymentDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentAmount` | `integer (int64)` | opcional | — | — | `0` |
| `paymentISPB` | `integer` | opcional | — | — | `0` |
| `paymentAgency` | `integer` | opcional | — | — | `0` |
| `debtCollectionProtocol` | `string` | opcional | — | — | `"texto"` |

Detalhe de `fileInstructionLines`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `lineType` | `string` | opcional | — | — | `"texto"` |
| `lineTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `sequentialNumber` | `integer` | opcional | — | — | `0` |
| `detail` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Detalhe de `fileConfirmationLines`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `lineType` | `string` | opcional | — | — | `"texto"` |
| `lineTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `sequentialNumber` | `integer` | opcional | — | — | `0` |
| `detail` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "externalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "walletCode": 0,
  "documentNumber": "texto",
  "amount": 0,
  "paidAmount": 1,
  "pendingAmount": 0,
  "description": "texto",
  "discount": 0,
  "discountLimitDate": "texto",
  "discount2": 0,
  "discountLimitDate2": "texto",
  "discount3": 0,
  "discountLimitDate3": "texto",
  "dueDate": "texto",
  "billingSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "billingSettingDisplay": "texto",
  "communicationSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "communicationSettingDisplay": "texto",
  "tags": [
    "texto"
  ],
  "creditTypeValue": "texto",
  "creditTypeDisplay": "texto",
  "payer": {
    "name": "Fulano de Tal",
    "personTypeValue": "texto",
    "personTypeValueDisplay": "texto",
    "registrationNumber": "12345678909",
    "zipCode": "01310930",
    "addressName": "Fulano de Tal",
    "addressNumber": "texto",
    "addressComplement": "texto",
    "email": "cliente@exemplo.com.br"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "registrationNumber": "12345678909"
  },
  "registered": true,
  "errorMessage": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "settlementAt": "texto",
  "settlementChannelValue": "texto",
  "settlementChannelValueDisplay": "texto",
  "statusValue": "texto",
  "statusDisplay": "texto",
  "firstInstructionDebtCollection": "texto",
  "secondInstructionDebtCollection": 0,
  "installmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "bankSlip": {
    "id": "texto",
    "barCode": "texto",
    "statusRegisterValue": "texto",
    "statusRegisterValueDisplay": "texto",
    "statusSettlementValue": "texto",
    "statusSettlementValueDisplay": "texto",
    "statusDebtCollectionValue": "texto",
    "statusDebtCollectionValueDisplay": "texto"
  },
  "settings": {
    "interestTypeValue": "texto",
    "interestTypeValueDisplay": "texto",
    "interestAmount": 1000,
    "fineTypeValue": "texto",
    "fineTypeValueDisplay": "texto",
    "fineAmount": 1000
  },
  "ourNumber": 0,
  "ourNumberDigit": "texto",
  "walletNumber": 0,
  "numberPayments": 0,
  "deduction": 0,
  "latePaymentInterestAmountPerDay": 0,
  "conditionForIssuingBillingSlip": "texto",
  "zero": "texto",
  "directDebitAgency": "texto",
  "directDebitAgencyDigit": "texto",
  "directDebitAccount": "texto",
  "directDebitAccountDigit": "texto",
  "directDebitReason": "texto",
  "bonusDiscountDay": "texto",
  "addressingAutomaticDebitNotification": "texto",
  "identificationBillingSlipIssuance": "texto",
  "acceptanceIdentification": "01310930",
  "depositoryAgency": "texto",
  "billingBankCharge": "texto",
  "bankCode": "texto",
  "iof": "texto",
  "bankingOperationIdentification": "texto",
  "creditDistributionIdentification": "texto",
  "participantControlNumber": "texto",
  "generateInstructionTransactionLine": true,
  "captureType": "texto",
  "captureTypeDisplay": "texto",
  "paymentMethod": "texto",
  "paymentMethodDisplay": "texto",
  "billingCreateType": "texto",
  "billingCreateTypeDisplay": "texto",
  "lastPaymentDate": "texto",
  "payments": [
    {
      "settlementChannelValue": "texto",
      "settlementChannelValueDisplay": "texto",
      "paymentDate": "2025-08-11T13:45:00Z",
      "paymentAmount": 0,
      "paymentISPB": 0,
      "paymentAgency": 0,
      "debtCollectionProtocol": "texto"
    }
  ],
  "fileInstructionLines": [
    {
      "id": "texto",
      "walletCode": 0,
      "lineType": "texto",
      "lineTypeDisplay": "texto",
      "sequentialNumber": 0,
      "detail": {
        "bankSlipId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "uniqueIdentifierCip": "texto",
        "barCode": "texto",
        "numericLine": "texto",
        "confirmationTransactionTypeValue": "texto",
        "confirmationTransactionTypeValueDisplay": "texto",
        "documentNumber": "texto",
        "deduction": 0,
        "discount": 0,
        "walletNumber": 0,
        "account": "texto",
        "participantControlNumber": "texto",
        "payerName": "Fulano de Tal",
        "amount": 0,
        "ourNumber": 0,
        "ourNumberDigit": "texto",
        "dueDate": "texto",
        "fineTypeValue": "texto",
        "fineTypeValueDisplay": "texto",
        "fineDecimal": 1000,
        "interestAmountLateDay": 1000,
        "statusOperationValue": "texto",
        "statusOperationValueDisplay": "texto",
        "error": "texto",
        "createdAt": "2025-08-11T13:45:00Z",
        "createdBy": {},
        "updatedBy": {}
      }
    }
  ],
  "fileConfirmationLines": [
    {
      "id": "texto",
      "lineType": "texto",
      "lineTypeDisplay": "texto",
      "sequentialNumber": 0,
      "detail": {
        "bankSlipId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "billingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "amount": 0,
        "occurrenceDate": "2025-08-11T13:45:00Z",
        "occurrenceCode": "texto",
        "occurrenceReason": "texto",
        "confirmationTransactionTypeValue": "texto",
        "confirmationTransactionTypeValueDisplay": "texto",
        "documentNumber": "texto",
        "deduction": 0,
        "discount": 0,
        "ourNumber": "texto",
        "walletNumber": "texto",
        "payerName": "Fulano de Tal",
        "participantControlNumber": "texto",
        "ourNumberDigit": "texto",
        "dueDate": "texto",
        "interestAmount": 0,
        "paid": 1,
        "paidCreditDay": "2025-08-11T13:45:00Z",
        "costs": 0,
        "statusLiquidation": "texto",
        "statusLiquidationDisplay": "texto",
        "debtCollectionDate": "texto",
        "debtCollectionRegistryNumber": "texto",
        "debtCollectionProtocolNumber": "texto",
        "debtCollectionName": "Fulano de Tal",
        "debtCollectionCity": "texto",
        "debtCollectionState": "texto",
        "debtCollectionOffice": "texto",
        "createdAt": "2025-08-11T13:45:00Z",
        "createdBy": {},
        "updatedBy": {}
      }
    }
  ],
  "isAnticipatedBilling": true
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/Billing" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "externalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "walletCode": 0,
  "documentNumber": "texto",
  "amount": 0,
  "description": "texto",
  "dueDate": "texto",
  "paymentLimitDate": "texto",
  "discount": 0,
  "discountLimitDate": "texto",
  "discount2": 0,
  "discountLimitDate2": "texto",
  "discount3": 0,
  "discountLimitDate3": "texto",
  "billingSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "communicationSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "tags": [
    "texto"
  ],
  "payer": {
    "name": "Fulano de Tal",
    "personTypeValue": "texto",
    "registrationNumber": "12345678909",
    "zipCode": "01310930",
    "addressName": "Fulano de Tal",
    "addressNumber": "texto",
    "addressComplement": "texto",
    "email": "cliente@exemplo.com.br"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "registrationNumber": "12345678909"
  },
  "firstInstructionDebtCollection": "texto",
  "secondInstructionDebtCollection": 0,
  "installmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "settings": {
    "interestTypeValue": "texto",
    "interestAmount": 1000,
    "fineTypeValue": "texto",
    "fineAmount": 1000,
    "interestCodeValue": "texto"
  },
  "ourNumber": 0,
  "ourNumberDigit": "texto",
  "walletNumber": 0,
  "numberPayments": 0,
  "deduction": 0,
  "latePaymentInterestAmountPerDay": 0,
  "creditTypeValue": "texto",
  "conditionForIssuingBillingSlip": "texto",
  "directDebitAgency": "texto",
  "directDebitAgencyDigit": "texto",
  "directDebitAccount": "texto",
  "directDebitAccountDigit": "texto",
  "directDebitReason": "texto",
  "bonusDiscountDay": "texto",
  "addressingAutomaticDebitNotification": "texto",
  "identificationBillingSlipIssuance": "texto",
  "acceptanceIdentification": "01310930",
  "depositoryAgency": "texto",
  "billingBankCharge": "texto",
  "bankCode": "texto",
  "iof": "texto",
  "bankingOperationIdentification": "texto",
  "creditDistributionIdentification": "texto",
  "participantControlNumber": "texto",
  "register": true,
  "billingCreateTypeValue": "texto",
  "billingsToCancel": [
    {
      "id": "texto",
      "billingStatusValue": "texto"
    }
  ],
  "billingsToUnified": [
    {
      "id": "texto",
      "interestCodeValue": "texto"
    }
  ]
}'
```

---

### GET /api/v1/Billing/Export

**Método responsável por exportar visualização da lista de cobranças** — Lista e filtra registros de api.

Método responsável por exportar visualização da lista de cobranças.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `Registered` | query | `boolean` | opcional | — | `true` |
| `Amount` | query | `integer (int64)` | opcional | — | `10` |
| `DocumentNumber` | query | `string` | opcional | — | `valor` |
| `BarCode` | query | `string` | opcional | — | `valor` |
| `SearchString` | query | `string` | opcional | — | `valor` |
| `Tags` | query | `array de string` | opcional | — | `valor` |
| `StatusesValue` | query | `array de string` | opcional | — | `valor` |
| `ExcludeStatusesValue` | query | `array de string` | opcional | — | `valor` |
| `WalletsCode` | query | `array de integer (int64)` | opcional | — | `valor` |
| `BankSlipId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `InitialDueDate` | query | `string (date-time)` | opcional | — | `valor` |
| `FinalDueDate` | query | `string (date-time)` | opcional | — | `valor` |
| `InitialSettlementDate` | query | `string (date-time)` | opcional | — | `valor` |
| `FinalSettlementDate` | query | `string (date-time)` | opcional | — | `valor` |
| `PayerName` | query | `string` | opcional | — | `valor` |
| `Tenant` | query | `string` | opcional | — | `uy3` |
| `PayerRegistrationNumber` | query | `string` | opcional | — | `valor` |
| `FirstInstructionDebtCollection` | query | `string` | opcional | — | `valor` |
| `BillingIds` | query | `array de string` | opcional | — | `valor` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `401` | Não autenticado — token ausente, inválido ou expirado. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/Billing/Export" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /api/v1/Billing/{referenceId}

**Método de visualização de uma cobrança específica** — Consulta api pelo identificador informado na rota.

Método de visualização de uma cobrança específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `referenceId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `UseExternalIdAsReference` | query | `boolean` | opcional | — | `true` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `externalId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `documentNumber` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `paidAmount` | `integer (int64)` | opcional | — | — | `1` |
| `pendingAmount` | `integer (int64)` | opcional | — | — | `0` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `discount` | `integer` | opcional | — | — | `0` |
| `discountLimitDate` | `string` | opcional | — | — | `"texto"` |
| `discount2` | `integer` | opcional | — | — | `0` |
| `discountLimitDate2` | `string` | opcional | — | — | `"texto"` |
| `discount3` | `integer` | opcional | — | — | `0` |
| `discountLimitDate3` | `string` | opcional | — | — | `"texto"` |
| `dueDate` | `string` | opcional | — | — | `"texto"` |
| `billingSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `billingSettingDisplay` | `string` | opcional | — | — | `"texto"` |
| `communicationSettingId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `communicationSettingDisplay` | `string` | opcional | — | — | `"texto"` |
| `tags` | `array de string` | opcional | — | — | `[ … ]` |
| `creditTypeValue` | `string` | opcional | — | — | `"texto"` |
| `creditTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `payer` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `registered` | `boolean` | opcional | — | — | `true` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `settlementAt` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValue` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `statusValue` | `string` | opcional | — | — | `"texto"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `firstInstructionDebtCollection` | `string` | opcional | — | — | `"texto"` |
| `secondInstructionDebtCollection` | `integer` | opcional | — | — | `0` |
| `installmentId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `bankSlip` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `settings` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ourNumber` | `integer (int64)` | opcional | — | — | `0` |
| `ourNumberDigit` | `string` | opcional | — | — | `"texto"` |
| `walletNumber` | `integer` | opcional | — | — | `0` |
| `numberPayments` | `integer` | opcional | — | — | `0` |
| `deduction` | `integer` | opcional | — | — | `0` |
| `latePaymentInterestAmountPerDay` | `integer` | opcional | — | — | `0` |
| `conditionForIssuingBillingSlip` | `string` | opcional | — | — | `"texto"` |
| `zero` | `string` | opcional | — | — | `"texto"` |
| `directDebitAgency` | `string` | opcional | — | — | `"texto"` |
| `directDebitAgencyDigit` | `string` | opcional | — | — | `"texto"` |
| `directDebitAccount` | `string` | opcional | — | — | `"texto"` |
| `directDebitAccountDigit` | `string` | opcional | — | — | `"texto"` |
| `directDebitReason` | `string` | opcional | — | — | `"texto"` |
| `bonusDiscountDay` | `string` | opcional | — | — | `"texto"` |
| `addressingAutomaticDebitNotification` | `string` | opcional | — | — | `"texto"` |
| `identificationBillingSlipIssuance` | `string` | opcional | — | — | `"texto"` |
| `acceptanceIdentification` | `string` | opcional | — | — | `"01310930"` |
| `depositoryAgency` | `string` | opcional | — | — | `"texto"` |
| `billingBankCharge` | `string` | opcional | — | — | `"texto"` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `iof` | `string` | opcional | — | — | `"texto"` |
| `bankingOperationIdentification` | `string` | opcional | — | — | `"texto"` |
| `creditDistributionIdentification` | `string` | opcional | — | — | `"texto"` |
| `participantControlNumber` | `string` | opcional | — | — | `"texto"` |
| `generateInstructionTransactionLine` | `boolean` | opcional | — | — | `true` |
| `captureType` | `string` | opcional | — | — | `"texto"` |
| `captureTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `paymentMethod` | `string` | opcional | — | — | `"texto"` |
| `paymentMethodDisplay` | `string` | opcional | — | — | `"texto"` |
| `billingCreateType` | `string` | opcional | — | — | `"texto"` |
| `billingCreateTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `lastPaymentDate` | `string` | opcional | — | — | `"texto"` |
| `payments` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `fileInstructionLines` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `fileConfirmationLines` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `isAnticipatedBilling` | `boolean` | opcional | — | — | `true` |

Detalhe de `payments`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `settlementChannelValue` | `string` | opcional | — | — | `"texto"` |
| `settlementChannelValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `paymentDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentAmount` | `integer (int64)` | opcional | — | — | `0` |
| `paymentISPB` | `integer` | opcional | — | — | `0` |
| `paymentAgency` | `integer` | opcional | — | — | `0` |
| `debtCollectionProtocol` | `string` | opcional | — | — | `"texto"` |

Detalhe de `fileInstructionLines`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `lineType` | `string` | opcional | — | — | `"texto"` |
| `lineTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `sequentialNumber` | `integer` | opcional | — | — | `0` |
| `detail` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Detalhe de `fileConfirmationLines`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `lineType` | `string` | opcional | — | — | `"texto"` |
| `lineTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `sequentialNumber` | `integer` | opcional | — | — | `0` |
| `detail` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "externalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "walletCode": 0,
  "documentNumber": "texto",
  "amount": 0,
  "paidAmount": 1,
  "pendingAmount": 0,
  "description": "texto",
  "discount": 0,
  "discountLimitDate": "texto",
  "discount2": 0,
  "discountLimitDate2": "texto",
  "discount3": 0,
  "discountLimitDate3": "texto",
  "dueDate": "texto",
  "billingSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "billingSettingDisplay": "texto",
  "communicationSettingId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "communicationSettingDisplay": "texto",
  "tags": [
    "texto"
  ],
  "creditTypeValue": "texto",
  "creditTypeDisplay": "texto",
  "payer": {
    "name": "Fulano de Tal",
    "personTypeValue": "texto",
    "personTypeValueDisplay": "texto",
    "registrationNumber": "12345678909",
    "zipCode": "01310930",
    "addressName": "Fulano de Tal",
    "addressNumber": "texto",
    "addressComplement": "texto",
    "email": "cliente@exemplo.com.br"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "registrationNumber": "12345678909"
  },
  "registered": true,
  "errorMessage": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "settlementAt": "texto",
  "settlementChannelValue": "texto",
  "settlementChannelValueDisplay": "texto",
  "statusValue": "texto",
  "statusDisplay": "texto",
  "firstInstructionDebtCollection": "texto",
  "secondInstructionDebtCollection": 0,
  "installmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "bankSlip": {
    "id": "texto",
    "barCode": "texto",
    "statusRegisterValue": "texto",
    "statusRegisterValueDisplay": "texto",
    "statusSettlementValue": "texto",
    "statusSettlementValueDisplay": "texto",
    "statusDebtCollectionValue": "texto",
    "statusDebtCollectionValueDisplay": "texto"
  },
  "settings": {
    "interestTypeValue": "texto",
    "interestTypeValueDisplay": "texto",
    "interestAmount": 1000,
    "fineTypeValue": "texto",
    "fineTypeValueDisplay": "texto",
    "fineAmount": 1000
  },
  "ourNumber": 0,
  "ourNumberDigit": "texto",
  "walletNumber": 0,
  "numberPayments": 0,
  "deduction": 0,
  "latePaymentInterestAmountPerDay": 0,
  "conditionForIssuingBillingSlip": "texto",
  "zero": "texto",
  "directDebitAgency": "texto",
  "directDebitAgencyDigit": "texto",
  "directDebitAccount": "texto",
  "directDebitAccountDigit": "texto",
  "directDebitReason": "texto",
  "bonusDiscountDay": "texto",
  "addressingAutomaticDebitNotification": "texto",
  "identificationBillingSlipIssuance": "texto",
  "acceptanceIdentification": "01310930",
  "depositoryAgency": "texto",
  "billingBankCharge": "texto",
  "bankCode": "texto",
  "iof": "texto",
  "bankingOperationIdentification": "texto",
  "creditDistributionIdentification": "texto",
  "participantControlNumber": "texto",
  "generateInstructionTransactionLine": true,
  "captureType": "texto",
  "captureTypeDisplay": "texto",
  "paymentMethod": "texto",
  "paymentMethodDisplay": "texto",
  "billingCreateType": "texto",
  "billingCreateTypeDisplay": "texto",
  "lastPaymentDate": "texto",
  "payments": [
    {
[...]
